//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "PicBoxDlg.h"
#include "mboxwin.h"
#include "FileMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TPickBoxForm *PickBoxForm;
//---------------------------------------------------------------------------
AnsiString __fastcall GetTransferBoxname(AnsiString &Oldname)
{
   AnsiString newbox;
   PickBoxForm = new TPickBoxForm(Application->MainForm, Oldname);
   TListBox *list = PickBoxForm->ListBox;
   PickBoxForm->ShowModal();
   if (PickBoxForm->ModalResult==mrOk && list->ItemIndex>=0)
      newbox = list->Items->Strings[list->ItemIndex];
   delete PickBoxForm;
   return newbox;
}
//---------------------------------------------------------------------------
__fastcall TPickBoxForm::TPickBoxForm(TComponent* Owner)
  : TForm(Owner)
{
   // Center in Main Window
   TForm *Main = Application->MainForm;
   Top = Main->Top+((Main->Height-Height)/2);
   Left = Main->Left+((Main->Width-Width)/2);
   // initialize
}
//---------------------------------------------------------------------------
__fastcall TPickBoxForm::TPickBoxForm(TComponent* Owner, AnsiString &Frombox)
  : TForm(Owner)
{
   // Center in Main Window
   TForm *Main = Application->MainForm;
   Top = Main->Top+((Main->Height-Height)/2);
   Left = Main->Left+((Main->Width-Width)/2);
   // initialize
   FromBox = Frombox;
   LoadMailboxes();
}
//---------------------------------------------------------------------------
void __fastcall TPickBoxForm::ListBoxDblClick(TObject *Sender)
{
   ModalResult = mrOk;
}
//---------------------------------------------------------------------------
void __fastcall TPickBoxForm::LoadMailboxes()
{
   int pos;
   TStringList *list = new TStringList(); list->Sorted = true;
   GetAppData(list,UserMailboxes);
   if (list->IndexOf("outbox")<0) list->Add("outbox");
   if ((pos=list->IndexOf(FromBox))>=0)
      list->Delete(pos);
   ListBox->Items->Text = list->Text;
   delete list;
}
//---------------------------------------------------------------------------
void __fastcall TPickBoxForm::Newmailbox1Click(TObject *Sender)
{
   AnsiString newname = CreateMailbox();
   if (!newname.IsEmpty())
   {
      OpenMailbox(newname); ListBox->Clear();
      Application->ProcessMessages(); Sleep(200);
      LoadMailboxes();
   }
}
//---------------------------------------------------------------------------
void __fastcall TPickBoxForm::ListBoxDrawItem(TWinControl *Control, int Index,
  TRect &Rect, TOwnerDrawState State)
{
   TRect r(Rect);
   ListBox->Canvas->FillRect(r);
   ListBox->Canvas->TextRect(r,r.Left+4, r.Top, ListBox->Items->Strings[Index]);
}
//---------------------------------------------------------------------------
