//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <dir.h>
#pragma hdrstop

#include "UseLibDlg.h"
#include "fileman.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TUsenetLibDlg *UsenetLibDlg;
//---------------------------------------------------------------------------
void __fastcall SaveUsenetArticle(TStrings *Article, TForm *Owner)
{
   UsenetLibDlg = new TUsenetLibDlg(Owner);
   UsenetLibDlg->Article->Text = Article->Text;
   UsenetLibDlg->ShowModal();
   delete UsenetLibDlg;
}
//---------------------------------------------------------------------------
__fastcall TUsenetLibDlg::TUsenetLibDlg(TComponent* Owner)
  : TForm(Owner)
{
   Article = new TStringList();
   Edit1->Text = GetAppIni("UsenetLibPath","");
   Edit2->Text = GetAppIni("UsenetLibName","");
   Edit2->SelectAll();
   ActiveControl = Edit2;
}
//---------------------------------------------------------------------------
void __fastcall TUsenetLibDlg::FormCloseQuery(TObject *Sender, bool &CanClose)
{
   if (ModalResult==mrOk && Edit2->Text.IsEmpty())
   {
      CanClose = false;
      MyBeep(MB_OK);
      return;
   }
   PutAppIni("UsenetLibPath",Edit1->Text);
   PutAppIni("UsenetLibName",Edit2->Text);
   if (ModalResult==mrOk)
   {
      if (FileExists(Edit2->Text) &&
          MsgBoxHwnd(Handle,"File "+Edit2->Text+" already exists!\\Overwrite?",
             "Confirm",MB_OKCANCEL)==IDOK)
                 Article->SaveToFile(Edit2->Text);
   }
   delete Article;
}
//---------------------------------------------------------------------------
void __fastcall TUsenetLibDlg::Edit1Change(TObject *Sender)
{
   if (DirectoryExists(Edit1->Text))
      FileListBox1->Directory = Edit1->Text;
   else
      FileListBox1->Clear();
}
//---------------------------------------------------------------------------
